// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.VersionControl.Dialogs {
    
    
    internal partial class SelectRepositoryDialog {
        
        private Gtk.VBox vbox1;
        
        private Gtk.Notebook notebook;
        
        private Gtk.VBox vbox2;
        
        private Gtk.HBox hbox1;
        
        private Gtk.Label label3;
        
        private Gtk.ComboBox repCombo;
        
        private Gtk.HSeparator hseparator1;
        
        private Gtk.EventBox repoContainer;
        
        private Gtk.Label label1;
        
        private Gtk.HBox hbox2;
        
        private Gtk.ScrolledWindow scrolledwindow2;
        
        private Gtk.TreeView repoTree;
        
        private Gtk.VButtonBox vbuttonbox1;
        
        private Gtk.Button buttonAdd;
        
        private Gtk.Button buttonRemove;
        
        private Gtk.Button buttonEdit;
        
        private Gtk.Label label2;
        
        private Gtk.Table table1;
        
        private Gtk.HBox boxFolder;
        
        private Gtk.Entry entryFolder;
        
        private Gtk.Button buttonBrowse;
        
        private Gtk.HBox boxMessage;
        
        private Gtk.Entry entryMessage;
        
        private Gtk.Button buttonEditMessage;
        
        private Gtk.Entry entryName;
        
        private Gtk.Label label5;
        
        private Gtk.Label labelMessage;
        
        private Gtk.Label labelName;
        
        private Gtk.Label labelRepository;
        
        private Gtk.Label labelTargetDir;
        
        private Gtk.Button button559;
        
        private Gtk.Button buttonOk;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog
            this.Events = ((Gdk.EventMask)(256));
            this.Name = "MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog";
            this.Title = Mono.Unix.Catalog.GetString("Select Repository");
            this.WindowPosition = ((Gtk.WindowPosition)(4));
            this.BorderWidth = ((uint)(6));
            // Internal child MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.VBox
            Gtk.VBox w1 = this.VBox;
            w1.Events = ((Gdk.EventMask)(256));
            w1.Name = "dialog_VBox";
            w1.Spacing = 6;
            // Container child dialog_VBox.Gtk.Box+BoxChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 12;
            this.vbox1.BorderWidth = ((uint)(6));
            // Container child vbox1.Gtk.Box+BoxChild
            this.notebook = new Gtk.Notebook();
            this.notebook.CanFocus = true;
            this.notebook.Name = "notebook";
            this.notebook.CurrentPage = 0;
            // Container child notebook.Gtk.Notebook+NotebookChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            this.vbox2.BorderWidth = ((uint)(6));
            // Container child vbox2.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.label3 = new Gtk.Label();
            this.label3.Name = "label3";
            this.label3.LabelProp = Mono.Unix.Catalog.GetString("Type:");
            this.hbox1.Add(this.label3);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox1[this.label3]));
            w2.Position = 0;
            w2.Expand = false;
            w2.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.repCombo = Gtk.ComboBox.NewText();
            this.repCombo.Name = "repCombo";
            this.hbox1.Add(this.repCombo);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox1[this.repCombo]));
            w3.Position = 1;
            this.vbox2.Add(this.hbox1);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox2[this.hbox1]));
            w4.Position = 0;
            w4.Expand = false;
            w4.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.hseparator1 = new Gtk.HSeparator();
            this.hseparator1.Name = "hseparator1";
            this.vbox2.Add(this.hseparator1);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox2[this.hseparator1]));
            w5.Position = 1;
            w5.Expand = false;
            w5.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.repoContainer = new Gtk.EventBox();
            this.repoContainer.Name = "repoContainer";
            this.vbox2.Add(this.repoContainer);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.vbox2[this.repoContainer]));
            w6.Position = 2;
            this.notebook.Add(this.vbox2);
            // Notebook tab
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("Connect to Repository");
            this.notebook.SetTabLabel(this.vbox2, this.label1);
            this.label1.ShowAll();
            // Container child notebook.Gtk.Notebook+NotebookChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 6;
            this.hbox2.BorderWidth = ((uint)(6));
            // Container child hbox2.Gtk.Box+BoxChild
            this.scrolledwindow2 = new Gtk.ScrolledWindow();
            this.scrolledwindow2.CanFocus = true;
            this.scrolledwindow2.Name = "scrolledwindow2";
            this.scrolledwindow2.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow2.Gtk.Container+ContainerChild
            this.repoTree = new Gtk.TreeView();
            this.repoTree.CanFocus = true;
            this.repoTree.Name = "repoTree";
            this.scrolledwindow2.Add(this.repoTree);
            this.hbox2.Add(this.scrolledwindow2);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.hbox2[this.scrolledwindow2]));
            w9.Position = 0;
            // Container child hbox2.Gtk.Box+BoxChild
            this.vbuttonbox1 = new Gtk.VButtonBox();
            this.vbuttonbox1.Name = "vbuttonbox1";
            this.vbuttonbox1.Spacing = 6;
            this.vbuttonbox1.LayoutStyle = ((Gtk.ButtonBoxStyle)(3));
            // Container child vbuttonbox1.Gtk.ButtonBox+ButtonBoxChild
            this.buttonAdd = new Gtk.Button();
            this.buttonAdd.CanFocus = true;
            this.buttonAdd.Name = "buttonAdd";
            this.buttonAdd.UseStock = true;
            this.buttonAdd.UseUnderline = true;
            this.buttonAdd.Label = "gtk-add";
            this.vbuttonbox1.Add(this.buttonAdd);
            Gtk.ButtonBox.ButtonBoxChild w10 = ((Gtk.ButtonBox.ButtonBoxChild)(this.vbuttonbox1[this.buttonAdd]));
            w10.Expand = false;
            w10.Fill = false;
            // Container child vbuttonbox1.Gtk.ButtonBox+ButtonBoxChild
            this.buttonRemove = new Gtk.Button();
            this.buttonRemove.CanFocus = true;
            this.buttonRemove.Name = "buttonRemove";
            this.buttonRemove.UseStock = true;
            this.buttonRemove.UseUnderline = true;
            this.buttonRemove.Label = "gtk-remove";
            this.vbuttonbox1.Add(this.buttonRemove);
            Gtk.ButtonBox.ButtonBoxChild w11 = ((Gtk.ButtonBox.ButtonBoxChild)(this.vbuttonbox1[this.buttonRemove]));
            w11.Position = 1;
            w11.Expand = false;
            w11.Fill = false;
            // Container child vbuttonbox1.Gtk.ButtonBox+ButtonBoxChild
            this.buttonEdit = new Gtk.Button();
            this.buttonEdit.CanFocus = true;
            this.buttonEdit.Name = "buttonEdit";
            this.buttonEdit.UseStock = true;
            this.buttonEdit.UseUnderline = true;
            this.buttonEdit.Label = "gtk-edit";
            this.vbuttonbox1.Add(this.buttonEdit);
            Gtk.ButtonBox.ButtonBoxChild w12 = ((Gtk.ButtonBox.ButtonBoxChild)(this.vbuttonbox1[this.buttonEdit]));
            w12.Position = 2;
            w12.Expand = false;
            w12.Fill = false;
            this.hbox2.Add(this.vbuttonbox1);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.hbox2[this.vbuttonbox1]));
            w13.Position = 1;
            w13.Expand = false;
            w13.Fill = false;
            this.notebook.Add(this.hbox2);
            Gtk.Notebook.NotebookChild w14 = ((Gtk.Notebook.NotebookChild)(this.notebook[this.hbox2]));
            w14.Position = 1;
            // Notebook tab
            this.label2 = new Gtk.Label();
            this.label2.Name = "label2";
            this.label2.LabelProp = Mono.Unix.Catalog.GetString("Registered Repositories");
            this.notebook.SetTabLabel(this.hbox2, this.label2);
            this.label2.ShowAll();
            this.vbox1.Add(this.notebook);
            Gtk.Box.BoxChild w15 = ((Gtk.Box.BoxChild)(this.vbox1[this.notebook]));
            w15.Position = 0;
            // Container child vbox1.Gtk.Box+BoxChild
            this.table1 = new Gtk.Table(((uint)(4)), ((uint)(2)), false);
            this.table1.Name = "table1";
            this.table1.RowSpacing = ((uint)(6));
            this.table1.ColumnSpacing = ((uint)(6));
            // Container child table1.Gtk.Table+TableChild
            this.boxFolder = new Gtk.HBox();
            this.boxFolder.Name = "boxFolder";
            this.boxFolder.Spacing = 6;
            // Container child boxFolder.Gtk.Box+BoxChild
            this.entryFolder = new Gtk.Entry();
            this.entryFolder.CanFocus = true;
            this.entryFolder.Name = "entryFolder";
            this.entryFolder.IsEditable = true;
            this.entryFolder.InvisibleChar = '●';
            this.boxFolder.Add(this.entryFolder);
            Gtk.Box.BoxChild w16 = ((Gtk.Box.BoxChild)(this.boxFolder[this.entryFolder]));
            w16.Position = 0;
            // Container child boxFolder.Gtk.Box+BoxChild
            this.buttonBrowse = new Gtk.Button();
            this.buttonBrowse.CanFocus = true;
            this.buttonBrowse.Name = "buttonBrowse";
            this.buttonBrowse.Label = Mono.Unix.Catalog.GetString("Browse...");
            this.boxFolder.Add(this.buttonBrowse);
            Gtk.Box.BoxChild w17 = ((Gtk.Box.BoxChild)(this.boxFolder[this.buttonBrowse]));
            w17.Position = 1;
            w17.Expand = false;
            w17.Fill = false;
            this.table1.Add(this.boxFolder);
            Gtk.Table.TableChild w18 = ((Gtk.Table.TableChild)(this.table1[this.boxFolder]));
            w18.TopAttach = ((uint)(1));
            w18.BottomAttach = ((uint)(2));
            w18.LeftAttach = ((uint)(1));
            w18.RightAttach = ((uint)(2));
            w18.XOptions = ((Gtk.AttachOptions)(4));
            w18.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.boxMessage = new Gtk.HBox();
            this.boxMessage.Name = "boxMessage";
            this.boxMessage.Spacing = 6;
            // Container child boxMessage.Gtk.Box+BoxChild
            this.entryMessage = new Gtk.Entry();
            this.entryMessage.CanFocus = true;
            this.entryMessage.Name = "entryMessage";
            this.entryMessage.IsEditable = true;
            this.entryMessage.InvisibleChar = '●';
            this.boxMessage.Add(this.entryMessage);
            Gtk.Box.BoxChild w19 = ((Gtk.Box.BoxChild)(this.boxMessage[this.entryMessage]));
            w19.Position = 0;
            // Container child boxMessage.Gtk.Box+BoxChild
            this.buttonEditMessage = new Gtk.Button();
            this.buttonEditMessage.CanFocus = true;
            this.buttonEditMessage.Name = "buttonEditMessage";
            this.buttonEditMessage.UseStock = true;
            this.buttonEditMessage.UseUnderline = true;
            this.buttonEditMessage.Label = "gtk-edit";
            this.boxMessage.Add(this.buttonEditMessage);
            Gtk.Box.BoxChild w20 = ((Gtk.Box.BoxChild)(this.boxMessage[this.buttonEditMessage]));
            w20.Position = 1;
            w20.Expand = false;
            w20.Fill = false;
            this.table1.Add(this.boxMessage);
            Gtk.Table.TableChild w21 = ((Gtk.Table.TableChild)(this.table1[this.boxMessage]));
            w21.TopAttach = ((uint)(3));
            w21.BottomAttach = ((uint)(4));
            w21.LeftAttach = ((uint)(1));
            w21.RightAttach = ((uint)(2));
            w21.XOptions = ((Gtk.AttachOptions)(4));
            w21.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.entryName = new Gtk.Entry();
            this.entryName.CanFocus = true;
            this.entryName.Name = "entryName";
            this.entryName.IsEditable = true;
            this.entryName.InvisibleChar = '●';
            this.table1.Add(this.entryName);
            Gtk.Table.TableChild w22 = ((Gtk.Table.TableChild)(this.table1[this.entryName]));
            w22.TopAttach = ((uint)(2));
            w22.BottomAttach = ((uint)(3));
            w22.LeftAttach = ((uint)(1));
            w22.RightAttach = ((uint)(2));
            w22.XOptions = ((Gtk.AttachOptions)(4));
            w22.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label5 = new Gtk.Label();
            this.label5.Name = "label5";
            this.label5.Xalign = 0F;
            this.label5.LabelProp = Mono.Unix.Catalog.GetString("Repository:");
            this.table1.Add(this.label5);
            Gtk.Table.TableChild w23 = ((Gtk.Table.TableChild)(this.table1[this.label5]));
            w23.XOptions = ((Gtk.AttachOptions)(4));
            w23.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.labelMessage = new Gtk.Label();
            this.labelMessage.Name = "labelMessage";
            this.labelMessage.Xalign = 0F;
            this.labelMessage.LabelProp = Mono.Unix.Catalog.GetString("Message:");
            this.table1.Add(this.labelMessage);
            Gtk.Table.TableChild w24 = ((Gtk.Table.TableChild)(this.table1[this.labelMessage]));
            w24.TopAttach = ((uint)(3));
            w24.BottomAttach = ((uint)(4));
            w24.XOptions = ((Gtk.AttachOptions)(4));
            w24.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.labelName = new Gtk.Label();
            this.labelName.Name = "labelName";
            this.labelName.Xalign = 0F;
            this.labelName.LabelProp = Mono.Unix.Catalog.GetString("Module name:");
            this.table1.Add(this.labelName);
            Gtk.Table.TableChild w25 = ((Gtk.Table.TableChild)(this.table1[this.labelName]));
            w25.TopAttach = ((uint)(2));
            w25.BottomAttach = ((uint)(3));
            w25.XOptions = ((Gtk.AttachOptions)(4));
            w25.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.labelRepository = new Gtk.Label();
            this.labelRepository.Name = "labelRepository";
            this.labelRepository.Xalign = 0F;
            this.table1.Add(this.labelRepository);
            Gtk.Table.TableChild w26 = ((Gtk.Table.TableChild)(this.table1[this.labelRepository]));
            w26.LeftAttach = ((uint)(1));
            w26.RightAttach = ((uint)(2));
            w26.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.labelTargetDir = new Gtk.Label();
            this.labelTargetDir.Name = "labelTargetDir";
            this.labelTargetDir.Xalign = 0F;
            this.labelTargetDir.LabelProp = Mono.Unix.Catalog.GetString("Target directory:");
            this.table1.Add(this.labelTargetDir);
            Gtk.Table.TableChild w27 = ((Gtk.Table.TableChild)(this.table1[this.labelTargetDir]));
            w27.TopAttach = ((uint)(1));
            w27.BottomAttach = ((uint)(2));
            w27.XOptions = ((Gtk.AttachOptions)(4));
            w27.YOptions = ((Gtk.AttachOptions)(4));
            this.vbox1.Add(this.table1);
            Gtk.Box.BoxChild w28 = ((Gtk.Box.BoxChild)(this.vbox1[this.table1]));
            w28.Position = 1;
            w28.Expand = false;
            w28.Fill = false;
            w1.Add(this.vbox1);
            Gtk.Box.BoxChild w29 = ((Gtk.Box.BoxChild)(w1[this.vbox1]));
            w29.Position = 0;
            // Internal child MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.ActionArea
            Gtk.HButtonBox w30 = this.ActionArea;
            w30.Events = ((Gdk.EventMask)(256));
            w30.Name = "VersionControlAddIn.SelectRepositoryDialog_ActionArea";
            w30.Spacing = 10;
            w30.BorderWidth = ((uint)(5));
            w30.LayoutStyle = ((Gtk.ButtonBoxStyle)(4));
            // Container child VersionControlAddIn.SelectRepositoryDialog_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.button559 = new Gtk.Button();
            this.button559.CanDefault = true;
            this.button559.CanFocus = true;
            this.button559.Name = "button559";
            this.button559.UseStock = true;
            this.button559.UseUnderline = true;
            this.button559.Label = "gtk-cancel";
            this.AddActionWidget(this.button559, -6);
            Gtk.ButtonBox.ButtonBoxChild w31 = ((Gtk.ButtonBox.ButtonBoxChild)(w30[this.button559]));
            w31.Expand = false;
            w31.Fill = false;
            // Container child VersionControlAddIn.SelectRepositoryDialog_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.buttonOk = new Gtk.Button();
            this.buttonOk.CanDefault = true;
            this.buttonOk.CanFocus = true;
            this.buttonOk.Name = "buttonOk";
            this.buttonOk.UseStock = true;
            this.buttonOk.UseUnderline = true;
            this.buttonOk.Label = "gtk-ok";
            this.AddActionWidget(this.buttonOk, -5);
            Gtk.ButtonBox.ButtonBoxChild w32 = ((Gtk.ButtonBox.ButtonBoxChild)(w30[this.buttonOk]));
            w32.Position = 1;
            w32.Expand = false;
            w32.Fill = false;
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.DefaultWidth = 617;
            this.DefaultHeight = 438;
            this.Show();
            this.notebook.ChangeCurrentPage += new Gtk.ChangeCurrentPageHandler(this.OnNotebookChangeCurrentPage);
            this.repCombo.Changed += new System.EventHandler(this.OnRepComboChanged);
            this.repoTree.CursorChanged += new System.EventHandler(this.OnRepoTreeCursorChanged);
            this.buttonAdd.Clicked += new System.EventHandler(this.OnButtonAddClicked);
            this.buttonRemove.Clicked += new System.EventHandler(this.OnButtonRemoveClicked);
            this.buttonEdit.Clicked += new System.EventHandler(this.OnButtonEditClicked);
            this.entryFolder.Changed += new System.EventHandler(this.OnEntryFolderChanged);
            this.buttonBrowse.Clicked += new System.EventHandler(this.OnButtonBrowseClicked);
        }
    }
}
